from collections import namedtuple

# zavedení pojmenované n-tice pro správu údajů o jednotlivých filmech
Film = namedtuple('FilmInfo', 'pořadí, název, rok, režisér, tržby')

# seznam informací o všech filmech
# ~ zatím prázdný, ještě jsme žádná data nenačetli
filmy = []

# načtení dat o filmech z CSV-souboru
with open('filmy_2_hlavicka.csv', mode='tr', encoding='utf-8') as soubor:
    # hlavička
    hlavička = next(soubor)
    # zpracuj textový soubor řádku po řádce (ale už bez hlavičkové řádky)
    for řádka in soubor:
        # odstraníme odřádkování na konci načtené řádky
        řádka = řádka.strip()
        # rozdělíme data v řádce na jednotlivé sloupečky
        # ~ pětiprvkový seznam rozbalíme na pět proměnných
        pořadí, název, rok, režisér, tržby = řádka.split(';')
        # přidání informací o aktuálním filmu do seznamu
        filmy.append(
            # jedna pětiprvková pojmenovaná n-tice
            Film(pořadí, název, rok, režisér, tržby)
        )

# výpis seznamu informací o všech fimech
# ~ seřazený podle tržeb (převedených na čísla)
for film in sorted(filmy, key=lambda prvek: int(prvek.tržby[1:].replace(',', ''))):
    print(film)

'''
FilmInfo(pořadí='3', název='Prisoner of Azkaban', rok='2004', režisér='Alfonso Cuarón', tržby='$797,361,618')
FilmInfo(pořadí='2', název='Chamber of Secrets', rok='2002', režisér='Chris Columbus', tržby='$879,602,366')
FilmInfo(pořadí='4', název='Goblet of Fire', rok='2005', režisér='Mike Newell', tržby='$896,678,241')
FilmInfo(pořadí='6', název='Half-Blood Prince', rok='2009', režisér='David Yates', tržby='$934,454,096')
FilmInfo(pořadí='5', název='Order of the Phoenix', rok='2007', režisér='David Yates', tržby='$942,172,396')
FilmInfo(pořadí='7a', název='Deathly Hallows – Part 1', rok='2010', režisér='David Yates', tržby='$977,043,483')
FilmInfo(pořadí='1', název="Philosopher's Stone", rok='2001', režisér='Chris Columbus', tržby='$1,006,968,171')
FilmInfo(pořadí='7b', název='Deathly Hallows – Part 2', rok='2011', režisér='David Yates', tržby='$1,342,321,665')
'''
