from collections import namedtuple

# zavedení pojmenované n-tice pro správu údajů o jednotlivých filmech
Film = namedtuple('FilmInfo', 'pořadí, název, rok, režisér, tržby')

# seznam informací o všech filmech
# ~ zatím prázdný, ještě jsme žádná data nenačetli
filmy = []

# načtení dat o filmech z CSV-souboru
with open('filmy_2_hlavicka.csv', mode='tr', encoding='utf-8') as soubor:
    # hlavička
    hlavička = next(soubor)
    # zpracuj textový soubor řádku po řádce (ale už bez hlavičkové řádky)
    for řádka in soubor:
        # odstraníme odřádkování na konci načtené řádky
        řádka = řádka.strip()
        # rozdělíme data v řádce na jednotlivé sloupečky
        # ~ pětiprvkový seznam rozbalíme na pět proměnných
        pořadí, název, rok, režisér, tržby = řádka.split(';')
        # přidání informací o aktuálním filmu do seznamu
        filmy.append(
            # jedna pětiprvková pojmenovaná n-tice
            Film(pořadí, název, rok, režisér, tržby)
        )

# výpis seznamu informací o všech fimech
# ~ seřazený podle názvů
for film in sorted(filmy, key=lambda prvek: prvek.název):
    # výsledek vytiskneme pěkně naformátovaný na terminál
    print(f'{film.pořadí}) {film.název} ({film.rok})')
    print(f'\tr. {film.režisér}')
    print(f'\ttržby {film.tržby}')
